#!/bin/sh

DTMPDIR="/tmp/ddb_backpu.save"
export DDB_ROOT_DIR=/usr/local/AppCentral/DdbBackup
export DDB_CONF_DIR="${DDB_ROOT_DIR}/etc"

case "$APKG_PKG_STATUS" in

	install)
		# post install script here
	    logger -p user.error "============= Start DdbBackup postinstall script ran"

		;;
	upgrade)
		# post upgrade script here (restore data)
	    logger -p user.error "============= Start DdbBackup postupgrade script ran"
		logger -p user.error "Restore data from ${DTMPDIR} to ${DDB_CONF_DIR}"

		for FILE in `ls ${DTMPDIR} 2> /dev/null`; do
		    mv ${DTMPDIR}/${FILE} ${DDB_CONF_DIR} 2>&1 &&
			logger -p user.error "Save ${FILE}" || logger -p user.error "Failed restore ${FILE}"

		done
		rm -fr ${DTMPDIR}  && logger -p user.error "Remove temporary directory: ${DTMPDIR}"
	    logger -p user.error "============= Finish DdbBackup postupgrade script ran"

		;;
	*)
		;;

esac

exit 0
